function  viewBusiness(id) {
    window.open('/salesContract/view?viewInitiation=1&historyId='+id)
    return false;
}

//处理
function dealBusiness(taskId,businessKey) {
    salesContractProcessedQuery.listPage = $('#contractList').getGridParam('page');
    $(".yk_rightcontent").load('/businessProcessingTask/dispatchMyTask?taskId='+taskId+"&businessKey="+businessKey)
    //$(".yk_rightcontent").load("/salesContract/add?taskId="+taskId + '&id='+ businessKey)
}

//进度时间轴
function timeLime(id){
    $('.progressTimelinebox').empty();
    $.ajax({
        url:'/businessProcessingTask/doTimelineList',
        type:'get',
        data:{
            'businessKey':id,
            'businessType':'SalesContract'
        },
        success:function(data){
            if( data.success ){
                var text = '';
                for( var i=0;i<data.data.length;i++ ){
                    text += '<div class="progressTimeline"><div><span></span>'+data.data[i].formBusinessName+'</div>';
                    for( var j=0;j<data.data[i].logs.length;j++ ){
                        var assigneeName = data.data[i].logs[j].assigneeName ? data.data[i].logs[j].assigneeName : ''
                        text += '<p><span>'+data.data[i].logs[j].assigneeTypeName+'：'+ assigneeName +'</span>';
                        if( data.data[i].logs[j].status ){
                            text += '<span>状态：'+data.data[i].logs[j].status+'</span>';
                        };
                        if( data.data[i].logs[j].startTime ){
                            text += '<span style="width: 2.3rem">开始时间：'+data.data[i].logs[j].startTime+'</span>';
                        };
                        if( data.data[i].logs[j].endTime ){
                            text += '<span style="width: 2.3rem">完成时间：'+data.data[i].logs[j].endTime+'</span>';
                        };
                        text += '</p>'
                    };
                    j = null;
                    text += '</div>';
                };
                i = null;
                $('.progressTimelinebox').append(text);
            }else{
                new $.zui.Messager('获取时间轴信息失败:'+data.msg, {
                    type: 'danger'
                }).show();
            }
        },
        error:function(error){
            new $.zui.Messager('获取时间轴信息发生错误:'+error, {
                type: 'danger'
            }).show();
        }
    })
    $("#myModal-progressTimeline").modal('show')
};



$(function () {

    // 重新加载列表
    function reloadList(){
        $('#contractList').setGridParam({
            mtype:'GET',
            url : '/businessProcessingTask/doMyCompletedList?simpleClassName=SalesContract',
            datatype : 'json',
            postData: {
                'startDate':salesContractProcessedQuery.startDate,
                'endDate':salesContractProcessedQuery.endDate,
                'statusId':salesContractProcessedQuery.status,
                'fastSearch':salesContractProcessedQuery.searchName
            },
            page : 1
        });
        $('#contractList').trigger('reloadGrid');
    };

    //初始化日期
    function setDate(select,startDate,endDate){
        $(select).datetimepicker(
            {
                weekStart: 1,
                autoclose: 1,
                todayHighlight: 0,
                startView: 2,
                minView: 2,
                forceParse: 0,
                showMeridian: 1,
                startDate:startDate,
                endDate:endDate,
                format: "yyyy-mm-dd"
            }
        );
        $(select).datetimepicker('setStartDate',startDate);
        $(select).datetimepicker('setEndDate',endDate);
    };
    setDate('#businessStartDate,#businessEndDate','1970-01-01','2116-12-31');

    $("#businessStartDate").val(salesContractProcessedQuery.startDate);
    $("#businessEndDate").val(salesContractProcessedQuery.endDate);
    $("#businessStatus").val(salesContractProcessedQuery.status);
    $("#searchName").val(salesContractProcessedQuery.searchName);


    // '开始日期'的变化
    $("#businessStartDate").change(function(){
        salesContractProcessedQuery.startDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessEndDate',$(this).val(),'2116-12-31');
        reloadList();
    });
    $("#businessStartDate").change();

    // '结束日期'的变化
    $("#businessEndDate").change(function(){
        salesContractProcessedQuery.endDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessStartDate','1918-01-01',$(this).val());
        reloadList();
    });
    $("#businessEndDate").change();

    // 日期输入框可删除
    $('.deleteTime').each(function(i,ele){
        $(ele).prev().change(function(){
            if( $(this).val()!=='' ){
                $(ele).show();
            }else{
                $(ele).hide();
            }
        });
        $(ele).prev().change();
    });

    // 删除日期
    $('.deleteCreateTime').click(function(){
        $(this).prev().val('');
        $(this).hide();
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()=='' ){
            setDate('#businessEndDate,#businessStartDate','1970-01-01','2116-12-31');
        };
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()!='' ){
            setDate('#businessStartDate','1970-01-01','2116-12-31');
            setDate('#businessEndDate',$("#businessStartDate").val(),'2116-12-31');
        };
        if( $("#businessEndDate").val()!='' && $("#businessStartDate").val()=='' ){
            setDate('#businessStartDate','1970-01-01',$("#planEndDate").val());
            setDate('#businessEndDate','1970-01-01','2116-12-31');
        };
        switch( $(this).prev().attr('id') ){
            case 'businessStartDate':salesContractProcessedQuery.startDate = '';break;
            case 'businessEndDate':salesContractProcessedQuery.endDate = '';break;
        };
        reloadList();
    });

    // 状态变化
    $("#businessStatus").change(function(){
        salesContractProcessedQuery.status = $(this).val();
        reloadList();
    });

    // 操作列
    function operateBusiness(cellValue,options,rowObject){
        var btnstr = '';
        //if( $('#timeLine').length>0 ){
        btnstr += '<p><span>时间进度轴</span><i class="operateIconfont operateIcon-shijianzhou" onclick="timeLime(' + rowObject.id + ')"></i></p>';
        //};
        //if( $('#viewContract').length>0 ){
        btnstr += '<p><span>查看</span><i class="operateIconfont operateIcon-chakan" onclick="viewBusiness('+rowObject.id+')"></i></p>';
        //};
        //if( $('#dealContract').length>0 ){
        //btnstr += '<p><span>处理</span><i class="operateIconfont operateIcon-chuli" onclick="dealBusiness(' + rowObject.taskId + ','+rowObject.id+')"></i></p>';
        //};
        return '<div class="operateIcon noHover">'+btnstr+'</div>';
    };

    sxUtil.jqGrid('#contractList', {
        colNames: ['ID', '序号','业务编号', '核心企业名称', '业务名称', '状态', '最近更新时间 ', '操作'],
        colModel: [
            {name: 'id', label: 'ID', hidedlg: true, hidden: true, sortable: false, title: false},
            {name: 'orderNumber', label: '序号', sortable: false, width: 50, align: 'center', title: false},
            {name: 'businessNumber', label: '业务编号', sortable: false,align: 'center', title: false},
            {name: 'customerName', label: '核心企业名称', sortable: false, align: 'center', title: false},
            {name: 'businessName', label: '业务名称', sortable: false, align: 'center', title: false},
            {name: 'status.name', label: '状态', sortable: false, align: 'center',  title: false},
            {name: 'gmtModified', label: '最近更新时间', sortable: false, align: 'center',title: false},
            {
                name: 'remark',
                label: '操作',
                sortable: false,
                align: 'left',
                width: 140,
                title: false,
                formatter: operateBusiness
            }
        ],
        height: 'auto',
        mtype: 'GET',
        url: '/businessProcessingTask/doMyCompletedList?simpleClassName=SalesContract',
        pager: "#contractListPage",
        multiselect: false,
        rownumbers: false,
        postData: {
            'startDate':salesContractProcessedQuery.startDate,
            'endDate':salesContractProcessedQuery.endDate,
            'statusId':salesContractProcessedQuery.status,
            'fastSearch':salesContractProcessedQuery.searchName
        },
        page: salesContractProcessedQuery.listPage,
        loadError: function () {
            new $.zui.Messager('列表加载失败', {
                type: 'warning'
            }).show();
        }
    }, true);

    //搜索
    $("#searchBusiness").click(function () {
        salesContractProcessedQuery.startDate = $("#businessStartDate").val();
        salesContractProcessedQuery.endDate = $("#businessEndDate").val();
        salesContractProcessedQuery.status = $("#businessStatus").val();
        salesContractProcessedQuery.searchName = $("#searchName").val();
        salesContractProcessedQuery.listPage = 1;
        reloadList();
    })

    //切换表格
    $(".projectListTab li").click(function () {

        if ($(this).text() == '待我处理') {
            $(".yk_rightcontent").load('/salesContract/list');
        } else if ($(this).text() == '我已处理') {
            $(".yk_rightcontent").load('/salesContract/processedList');
        }else if ($(this).text() == '全部') {
            $(".yk_rightcontent").load('/salesContract/allList');
        }
    });

})
